it-swarm-es.tech

¿Cuándo pasar a una nueva versión importante?

Con la nueva estrategia de desarrollo no habrá una versión llamada LTS por adelantado. Con la información actualmente publicada, 3.4 tomará el lugar del anunciado 3.5. Suponiendo que hay planes para 4.0,4.1,4.2,4.3,4.4 a qué hora se espera que los sitios migren a qué versión.

11
sovainfo

Hay algunas cosas a tener en cuenta al planificar las migraciones entre versiones principales. Uno de los principales debe ser el final del soporte o la fecha de EOL para la versión que está utilizando ahora; si eso está cerca, debería estar planeando su mudanza.

Para sitios web establecidos, sugeriría mirar las funciones disponibles. ¿La nueva versión tiene algo que necesita pronto? Si es así, comience a planificar su migración. Si su sitio funciona bien y no necesita las funciones más recientes, puede permanecer en la versión actual siempre que siga siendo compatible.

Si está migrando, ¿cómo es el soporte de extensión? ¿Las extensiones que usa tienen una versión compatible para la versión a la que está migrando? Si es así, eso simplifica enormemente las cosas, pero si no lo hacen, ¿cuánto esfuerzo se necesitará para reemplazar sus características con otra cosa?

Finalmente, cada versión etiquetada como estable debería ser adecuada para construir, pero personalmente sería un poco más cauteloso al usar una versión X.0 o incluso X.1, ya que suelen ser más propensos a tener errores dado el alcance de cambio que puede entrar en una versión principal de X.0. Personalmente, creo que las versiones X.2 o X.3 son cuando comienzas a ver una serie de versiones madura hasta el punto de estar lista para su uso principal.

6
Michael

A partir de Joomla! 3.4 cada versión será estable y tendrá soporte durante al menos dos años a menos que se lance la nueva versión menor. Si va a suceder, la versión secundaria anterior no será compatible y la actual se admitirá al menos dos años. Entonces, si planea migrar a la serie 3.x, entonces está seguro de hacerlo desde la v3.4.

Lo mismo se aplica a la serie 4.x - 4.0 también será estable y tendrá soporte durante al menos dos años a menos que se lance la nueva versión menor (por ejemplo, 4.1). Por lo tanto, puede migrar a cualquier versión menor de la serie 4.x. ¡Pero tenga en cuenta que cada lanzamiento importante tiene cambios incompatibles con versiones anteriores! Por lo tanto, esta migración debe planificarse con mucho cuidado.

Por supuesto, no debe migrar a versiones BETA o RC, porque estos son solo para fines de prueba.

1
Dmitry Rekun

Según tengo entendido, a partir de 3.4 siempre debe usar la última versión, ya que recibirá soporte durante 2 años después de su lanzamiento y se suspenderá el soporte para versiones anteriores (3.3, ...). Todos los lanzamientos de una serie (3.x) serán compatibles con versiones anteriores, por lo que una actualización generalmente no debería ser un problema.

La nueva serie 4.x romperá la compatibilidad con versiones anteriores y solo debe actualizarla si desea usar las nuevas funciones.

0
fruppel
  1. Si comienza el desarrollo, use la última versión principal disponible (Use la serie 4 cuando esté disponible)
  2. Cuando se lanza una nueva versión menor (3.4), espere el momento en que su versión actual (3.3) sea compatible. En el momento en que la nueva versión debe haber recibido correcciones de errores críticos. Por lo tanto, su sitio web ahora se puede actualizar de forma segura.

Consejo: Mantenga siempre un sitio de prueba con la misma configuración del servidor, para probarlo primero, luego use la versión.

0
Shyam